package octoshape.android.mediaplayer;

import com.google.android.gms.cast.MediaInfo;

/**
 * Created by dota on 19-02-2015.
 */
public interface IMediaPlayer {

    /*
    * Playback states used by IMediaPlayer
    */
    public static enum PlaybackState {
        PLAYING, PAUSED, BUFFERING, IDLE_FINISHED, IDLE_UNKNOWN;
    }

    /**
     * @return the playback state
     */
    public PlaybackState getPlaybackState();


    /**
     * @return the playback position
     */
    public int getPlaybackPosition();

    /**
     * Stops the playback and the player
     */
    public void stopPlay();

    /**
     * Update the player with new media info.
     * See the {@linkplain octoshape.android.stream.IStreamPlayerWrapperListener} on the details of the information encoded in the mediaInfo
     * @param mediaInfo
     */
    public void updatedMediaInfo(MediaInfo mediaInfo);

    /**
     * In case of on demand videos, the {@linkplain octoshape.osa2.android.StreamPlayer} might
     * update the duration.
     * @param duration
     */
    public void updateDuration(long duration);

}
